import { FloatingHideOptions } from './useFloatingInstance.composable';
import { CurrentTheme } from 'itlab-theme-system';
import { Ref } from 'vue';
export type FloatingProxy = {
    id: string;
    /** current visual presence */
    isVisible: boolean;
    /** whether this floating instance is inside another floating */
    isNested: boolean;
    /** active resolved theme */
    theme: CurrentTheme;
    /** toggles visibility */
    toggle(options?: FloatingHideOptions): void;
    /** makes floating visible */
    show(): void;
    /** hides floating (force bypasses transition guards) */
    hide(options?: FloatingHideOptions): void;
};
export declare function createFloatingProxy(floating: Ref<FloatingProxy | undefined>): Readonly<FloatingProxy>;
